package com.palmnest.model.property;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 虚拟组织架构实体
 * （比如：学院、专业）
 *
 * @author yubing
 * @since 2017-01-09
 * <p>
 * tb_virtualarchitecture
 * tb_virtualArchitecture
 */
@Entity
@Table(name = "tb_virtualarchitecture")
public class VirtualArchitecture {

	private Integer    id;
	private String     name;
	private String     type;                //1-表示企业，2-表示部门
	private String     code;
	private String     parentCode;
	private String     codeNumber;            //唯一编码
	private String     customerNumber;        //客户编号
	private String     phone;
	private String     address;
	private String     contacts;            //联系人
	private int        employees;                //企业人数
	private Integer    organizationId;        //项目ID
	private BigDecimal reserveBalance;  //预存款余额
	private String     customerType;        //客户类型（1-VIP客户，0-普通客户）
	private String     contractStatus;        //签约状态（1-已签约，0-未签约）
	private String     status;                //企业状态（0-待审核，1-通过，2-不通过）
	private String     reviewRemark;        //审核信息说明
	private Integer    wxUserId;            //申请人的微信信息ID
	private String     remark;
	private Date       createTime;
	private String     creator;
	private Date       modifyTime;
	private String     modifier;
	private String     isEnabled;
	private String     floorIds;
	private String     roomIds;
	private Date       enterTime;//入驻时间
	private String     businessImageUrl;
	private String     powerAttorneyImageUrl;
	private String     powerFaceImageUrl;
	private String     powerNationImageUrl;
	private Integer    leaseStatus;//在租状态1在租0迁出
	private Integer    isEmail;
	private Integer    isWechat;
	private Integer    isMessage;
	private String     roomNames;
	private String     floorNames;
	private String     floorAndNames;
	private BigDecimal freeLenTime;
	private BigDecimal remainderTime;
	private Integer    buildId;
	private Integer    settleType;
	private Long       virType; // 企业类型
	private String     signingTime;//签约时间
	private String     contExpireTime;//合同到期时间
	private String     email;//联系人邮箱
	//20190423 dz add
	private String     meal_card;
	private Integer    level;

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Column(name = "name")
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(name = "type")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@Column(name = "code")
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Column(name = "parentCode")
	public String getParentCode() {
		return parentCode;
	}

	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}

	@Column(name = "remark")
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Column(name = "createTime")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "creator")
	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	@Column(name = "modifyTime")
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	@Column(name = "modifier")
	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	@Column(name = "isEnabled")
	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	@Column(name = "organizationId")
	public Integer getOrganizationId() {
		return organizationId;
	}

	public void setOrganizationId(Integer organizationId) {
		this.organizationId = organizationId;
	}

	@Column(name = "codeNumber")
	public String getCodeNumber() {
		return codeNumber;
	}

	public void setCodeNumber(String codeNumber) {
		this.codeNumber = codeNumber;
	}

	@Column(name = "customerNumber")
	public String getCustomerNumber() {
		return customerNumber;
	}


	public void setCustomerNumber(String customerNumber) {
		this.customerNumber = customerNumber;
	}

	@Column(name = "phone")
	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	@Column(name = "address")
	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	@Column(name = "contacts")
	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	@Column(name = "employees")
	public int getEmployees() {
		return employees;
	}

	public void setEmployees(int employees) {
		this.employees = employees;
	}

	@Column(name = "reserveBalance")
	public BigDecimal getReserveBalance() {
		return reserveBalance;
	}

	public void setReserveBalance(BigDecimal reserveBalance) {
		this.reserveBalance = reserveBalance;
	}

	@Column(name = "customerType")
	public String getCustomerType() {
		return customerType;
	}

	public void setCustomerType(String customerType) {
		this.customerType = customerType;
	}

	@Column(name = "contractStatus")
	public String getContractStatus() {
		return contractStatus;
	}

	public void setContractStatus(String contractStatus) {
		this.contractStatus = contractStatus;
	}

	@Column(name = "status")
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	@Column(name = "reviewRemark")
	public String getReviewRemark() {
		return reviewRemark;
	}

	public void setReviewRemark(String reviewRemark) {
		this.reviewRemark = reviewRemark;
	}

	@Column(name = "wxUserId")
	public Integer getWxUserId() {
		return wxUserId;
	}


	public void setWxUserId(Integer wxUserId) {
		this.wxUserId = wxUserId;
	}

	public String getFloorIds() {
		return floorIds;
	}

	public void setFloorIds(String floorIds) {
		this.floorIds = floorIds;
	}

	public String getRoomIds() {
		return roomIds;
	}

	public void setRoomIds(String roomIds) {
		this.roomIds = roomIds;
	}

	public String getBusinessImageUrl() {
		return businessImageUrl;
	}

	public void setBusinessImageUrl(String businessImageUrl) {
		this.businessImageUrl = businessImageUrl;
	}

	public String getPowerAttorneyImageUrl() {
		return powerAttorneyImageUrl;
	}

	public void setPowerAttorneyImageUrl(String powerAttorneyImageUrl) {
		this.powerAttorneyImageUrl = powerAttorneyImageUrl;
	}

	public String getPowerFaceImageUrl() {
		return powerFaceImageUrl;
	}

	public void setPowerFaceImageUrl(String powerFaceImageUrl) {
		this.powerFaceImageUrl = powerFaceImageUrl;
	}

	public String getPowerNationImageUrl() {
		return powerNationImageUrl;
	}

	public void setPowerNationImageUrl(String powerNationImageUrl) {
		this.powerNationImageUrl = powerNationImageUrl;
	}


	public String getRoomNames() {
		return roomNames;
	}

	public void setRoomNames(String roomNames) {
		this.roomNames = roomNames;
	}

	public String getFloorNames() {
		return floorNames;
	}

	public void setFloorNames(String floorNames) {
		this.floorNames = floorNames;
	}

	public String getFloorAndNames() {
		return floorAndNames;
	}

	public void setFloorAndNames(String floorAndNames) {
		this.floorAndNames = floorAndNames;
	}

	public BigDecimal getFreeLenTime() {
		return freeLenTime;
	}

	public void setFreeLenTime(BigDecimal freeLenTime) {
		this.freeLenTime = freeLenTime;
	}

	public BigDecimal getRemainderTime() {
		return remainderTime;
	}

	public void setRemainderTime(BigDecimal remainderTime) {
		this.remainderTime = remainderTime;
	}


	public Date getEnterTime() {
		return enterTime;
	}

	public void setEnterTime(Date enterTime) {
		this.enterTime = enterTime;
	}

	public Integer getLeaseStatus() {
		return leaseStatus;
	}

	public void setLeaseStatus(Integer leaseStatus) {
		this.leaseStatus = leaseStatus;
	}

	public Integer getIsEmail() {
		return isEmail;
	}

	public void setIsEmail(Integer isEmail) {
		this.isEmail = isEmail;
	}

	public Integer getIsWechat() {
		return isWechat;
	}

	public void setIsWechat(Integer isWechat) {
		this.isWechat = isWechat;
	}

	public Integer getIsMessage() {
		return isMessage;
	}

	public void setIsMessage(Integer isMessage) {
		this.isMessage = isMessage;
	}

	public Integer getBuildId() {
		return buildId;
	}

	public void setBuildId(Integer buildId) {
		this.buildId = buildId;
	}

	public Integer getSettleType() {
		return settleType;
	}

	public void setSettleType(Integer settleType) {
		this.settleType = settleType;
	}

	public Long getVirType() {
		return virType;
	}

	public void setVirType(Long virType) {
		this.virType = virType;
	}


	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getSigningTime() {
		return signingTime;
	}

	public void setSigningTime(String signingTime) {
		this.signingTime = signingTime;
	}

	public String getContExpireTime() {
		return contExpireTime;
	}

	public void setContExpireTime(String contExpireTime) {
		this.contExpireTime = contExpireTime;
	}

	public String getMeal_card() {
		return meal_card;
	}

	public void setMeal_card(String meal_card) {
		this.meal_card = meal_card;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}
}
